# $Revision: 1.9 $, $Date: 2008-03-06 20:05:51 $
%define	nspr_version	4.6.4
%define	nspr_evr	1:%{nspr_version}
%define	nss_version	3.11.4
%define	nss_evr		1:%{nss_version}
Summary:	svrcore library for secure PIN handling using NSS crypto
Summary(pl.UTF-8):	Biblioteka svrcore do bezpiecznej obsługi PIN-ów przy użyciu NSS
Name:		svrcore
Version:	4.0.4
Release:	1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Development/Libraries
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/directory/svrcore/releases/%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	46bcdc82624d11c1bb168cf9f15e066c
URL:		http://www.mozilla.org/directory/
BuildRequires:	nspr-devel >= %{nspr_evr}
BuildRequires:	nss-devel >= %{nss_evr}
BuildRequires:	perl-base
Requires:	nspr >= %{nspr_evr}
Requires:	nss >= %{nss_evr}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
svrcore provides applications with several ways to handle secure PIN
storage e.g. in an application that must be restarted, but needs the
PIN to unlock the private key and other crypto material, without user
intervention. svrcore uses the facilities provided by NSS.

%description -l pl.UTF-8
svrcore udostępnia aplikacjom kilka sposobów obsługi bezpiecznego
przechowywania PIN-ów, np. w aplikacji, która musi być zrestartowana,
ale wymaga PIN-u do odblokowania klucza prywatnego i innych danych
kryptograficznych bez interwencji użytkownika. svrcore wykorzystuje
funkcje udostępniane przez bibliotekę NSS.

%package devel
Summary:	Header files for svrcore library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki svrcore
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	nspr-devel >= %{nspr_evr}
Requires:	nss-devel >= %{nss_evr}

%description devel
Header files for svrcore library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki svrcore.

%package static
Summary:	Static svrcore library
Summary(pl.UTF-8):	Statyczna biblioteka svrcore
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static svrcore library.

%description static -l pl.UTF-8
Statyczna biblioteka svrcore.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_libdir}/libsvrcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsvrcore.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsvrcore.so
%{_libdir}/libsvrcore.la
%{_includedir}/svrcore.h
%{_pkgconfigdir}/svrcore.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsvrcore.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: svrcore.spec,v $
Revision 1.9  2008-03-06 20:05:51  glen
- ghost soname symlinks

Revision 1.8  2007-03-17 19:42:52  qboosh
- updated to 4.0.4

Revision 1.7  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.5  2006/12/20 09:30:00  qboosh
- oops, fixed -devel files

Revision 1.4  2006/12/19 11:30:36  qboosh
- updated to 4.0.3.01, shared lib is built now
- main package renamed to just svrcore, added -devel,-static subpackages

Revision 1.3  2006/09/07 09:11:53  glen
- fix amd64 build; rel 2

Revision 1.2  2006/06/27 08:41:02  qboosh
- R: {nspr,nss}-devel

Revision 1.1  2006/06/27 08:40:10  qboosh
- new, separated from mozldap.spec
